#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/bcwaldon/warlock.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=warlock

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_clean:
	dh_clean
	rm -rf htmlcov

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -x ; set -e ; for i in $(PYTHON3S) ; do \
		PYTHONPATH=. PYTHON=python$$i python$$i -m pytest tests ; \
	done
endif

